/*
 *****************************************************************************
 *                                                                           *
 *                                 MQSAMPLE.H                                *
 *                                                                           *
 *                     LAN Distributed Platform - LANDP                      *
 *                                                                           *
 *                5639-I90 (C) Copyright IBM Corp 2000                       *
 *        All Rights Reserved - Licensed Materials - Property of IBM         *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 * This program is provided in the hope that it will be useful, but comes    *
 * with no guarantees whatsoever and no responsibility or liability is       *
 * accepted by the author or by IBM Corp for any loss or consequential loss  *
 * that may be suffered by the use (or otherwise) of this program or of any  *
 * program derived from it. Comments elsewhere in this program must not be   *
 * interpretted as varying the statement in this paragraph.                  *
 *                                                                           *
 *****************************************************************************
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <time.h>
#include <process.h>

/*-------------------------------------------------------------------------------------------------*/
/* THIS HEADER FILE REQUIRES EHCDEFC.H AND EHCMQ.H                                                 */
/*-------------------------------------------------------------------------------------------------*/

#include "ehcdefc.h"
#include "ehcmq.h"

#define  IN            0x494e
#define  EJ            0x454a
#define  TRUE          1
#define  FALSE         0
#define  NUM_ID        10
#define  NEW_QHANDLE   0



long init_Landp (void);

long exit_Landp (void);

long control_MQ (unsigned short fun_code, 
                 MQREASON *reason_code_MQ);

long closeq_MQ  (unsigned short handle_MQ, 
                 MQREASON *reason_code_MQ);

long access_MQ  (unsigned short fun_code, 
                 void     *input_parm_MQ,
                 void     *output_parm_MQ,  
                 char     *message_MQ, 
                 unsigned short *message_len_MQ,
                 long     max_timeout);

int sample_type (void);

char * code2str(char *buf, unsigned long code);

int  test_type (void);
void setup_parameters (void);
void begin_transaction (void);
void put_to_q (unsigned short PutFunc);
void get_from_q (void);
void browse_from_q (void);
void close_session (void);
void rollback_transaction (void);
void commit_transaction (void);
void end_transaction (void);


EHC_CPRB cprb;
char  req_parm_area [26];
char  rply_parm_area [26];


